/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#include <ChaseLight.h>

ChaseLight::ChaseLight (byte pin1, byte pin2, byte pin3, byte pin4, byte pin5, byte pin6)
{
  pins[0] = pin1;
  pins[1] = pin2;
  pins[2] = pin3;
  pins[3] = pin4;
  pins[4] = pin5;
  pins[5] = pin6;

  for (byte i = 0; i < numLeds; i++) {
    pinMode(pins[i], OUTPUT);
    digitalWrite(pins[i], LOW);
  }

  nextBlink = (long)millis() + delayBlink;
  currentLed = 1;
}

void ChaseLight::update()
{
  if ((long)millis() - nextBlink >= 0) {
    if (currentLed > 1) {
      digitalWrite(pins[currentLed - 2], LOW);
    }
    if (currentLed > 0 && currentLed <= numLeds) {
      digitalWrite(pins[currentLed - 1], HIGH);
    }
    currentLed++;
    currentLed %= numLeds+2;

    if (currentLed == 0) {
      nextBlink = (long)millis() + delayInterval;
    } else {
      nextBlink = (long)millis() + delayBlink;
    }
  }
}
