/*
   (c) 2021 Christian Grieger
   GNU GENERAL PUBLIC LICENSE
*/

#ifndef CHASELIGHT_H
#define CHASELIGHT_H

#include <Arduino.h>

class ChaseLight
{
  public:
    /**
       Constructor which resets all relevant values and connects the LED to the pin of the Arduino.

           pin1..pin6  LED pin connected to the Arduino
    */
    ChaseLight (byte pin1, byte pin2, byte pin3, byte pin4, byte pin5, byte pin6);

    /**
       Update routine which should be called in the main loop()-function
    */
    void update();

  protected:
    const int delayInterval = 1300;
    const int delayBlink = 120;
    static const byte numLeds = 6;

    byte pins[numLeds];
    byte currentLed;
    long nextBlink;
};

#endif
